{{- if .Values.istio.oauth2_proxy.enabled -}}
---
apiVersion: security.istio.io/v1beta1
kind: RequestAuthentication
metadata:
  name: istio-gateway
  namespace: istio-system
spec:
  jwtRules:
    - issuer: https://accounts.google.com
      jwksUri: https://www.googleapis.com/oauth2/v3/certs
  selector:
    matchLabels:
      istio: gateway
---
apiVersion: security.istio.io/v1beta1
kind: AuthorizationPolicy
metadata:
  name: istio-gateway
  namespace: istio-system
spec:
  action: CUSTOM
  provider:
    name: oauth2-proxy
  rules:
    - to:
        - operation:
            hosts: {{ toYaml .Values.istio.oauth2_proxy.hosts | nindent 14 }}
  selector:
    matchLabels:
      istio: gateway
{{- end -}}
